#ifndef CAPTUREUI_H
#define CAPTUREUI_H

#include <windows.h>

#include <QtGui/QMainWindow>
#include "ui_captureui.h"

#include "ffdebug.h"

#include "avformat.h"

class captureUI : public QMainWindow
{
    Q_OBJECT

public:
    captureUI(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~captureUI();

	void DebugEvent( QEvent * event );

private:
    Ui::captureUIClass ui;
	QString video_device, audio_device, output_path;
	bool capturing;

	void StopCapture();

	HANDLE hCliThread, hStopCapture, hCaptureStopped;

	QString GetFormatString(unsigned long format);
	
	ffdebug debug_wnd;

	void closeEvent(QCloseEvent *e);

private slots:
	void on_buttonVideoConfigure_clicked();
	void on_buttonAudioConfigure_clicked();
	void on_buttonDebug_clicked();
	void on_buttonGetOuputDir_clicked();
	void on_comboCaptureAudio_activated(QString);
	void on_comboCaptureVideo_activated(QString);
	void on_buttonCapture_clicked();
	void on_buttonRefreshAudio_clicked();
	void on_buttonRefreshVideo_clicked();
};

#endif // CAPTUREUI_H
