#include <QTextCursor>

#include "avcodec.h"
#include "ffdebug.h"

ffdebug::ffdebug(QWidget *parent)
    : QWidget(parent)
{
	ui.setupUi(this);
}

ffdebug::~ffdebug()
{
}

void ffdebug::showEvent( QShowEvent * event )
{
	ui.sliderDebugLevel->setValue( av_log_get_level( ) + 1 );
}

void ffdebug::on_buttonReset_clicked()
{
	ui.textDebugLines->clear();
}

void ffdebug::on_sliderDebugLevel_sliderMoved(int new_value)
{
	av_log_set_level( new_value-1 );
}

void ffdebug::AddNewMessage( const QString & msg )
{
	QTextCursor cursor = ui.textDebugLines->textCursor();
	cursor.movePosition(QTextCursor::End);
	cursor.insertText(msg);
}
