/*
 * AAC DirectShow decoder (for win32 only)
 * Copyright (c) 2005 DivX, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02110-1301  USA
 */
/**
 * @file AacDecoder.h
 * DShow utilities.
 */


#ifndef _AAC_DSHOW_DECODER_H_
#define _AAC_DSHOW_DECODER_H_

#include <vector>

#include "DShowDecoder.h"

typedef std::vector<std::wstring> StringList;

class AacDecoder : public DShowDecoder
{
public:
	static std::vector<whitelist> WhiteList;

protected:
    virtual SourceCallBack *GetSource(AVCodecContext *avctx, const uint8_t *buf, int buf_size);
    virtual SinkCallBack *GetSink(AVCodecContext *avctx, const uint8_t *buf, int buf_size);
	virtual const std::vector<whitelist> & GetWhiteList() const { return WhiteList; }
};

#endif // _AAC_DSHOW_DECODER_H_
