/*
 * DirectShow capture io for ffmpeg system
 * Copyright (c) 2005 DivX Inc
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02110-1301  USA
 */

#ifndef _DSHOW_AUDIO_CAP_GRAPH_H_
#define _DSHOW_AUDIO_CAP_GRAPH_H_

#include "capture.h"

class AudioSinkCallBack;

class DShowAudioCaptureGraph : public DShowCaptureGraph {
public:
	DShowAudioCaptureGraph(AVFormatContext *avctx, const char *device);
	~DShowAudioCaptureGraph();

	int ReadFrame(AVPacket *pkt);

	bool CreateGraph( AVFormatParameters & avctx );

	bool FillCodec(AVFormatParameters & avfctx);

	static size_t GetDeviceList( StringList & out_list, AVFormatContext *avctx = NULL );
	static void GetDeviceCaps( const std::wstring & device, std::vector<WAVEFORMATEX> & out_list, StringList &input_list, AVFormatContext *avctx = NULL );
	static void Configure( const wchar_t *device, HWND hwParent = NULL );

protected:
	HRESULT FindCaptureDevice(IBaseFilter ** ppSrcFilter);
	char *m_device_input;
};

#endif // _DSHOW_AUDIO_CAP_GRAPH_H_
