/*
 * AC3 DirectShow decoder (for win32 only)
 * Copyright (c) 2005 DivX, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02110-1301  USA
 */
/**
 * @file FilterUtil.h
 * DShow utilities.
 */


#ifndef _FILTERUTIL_H_
#define _FILTERUTIL_H_

#include <windows.h>
#include <DShow.h>

HRESULT AddToRot(IUnknown *pUnkGraph, DWORD & dwRegister);
void DelFromRot(DWORD dwRegister);

class FilterUtil
{
public:
//
// connect two filters using the named pins
static HRESULT Connect(IGraphBuilder * m_oGraph,
	IBaseFilter * pUpStreamFilter, IBaseFilter * pDownStreamFilter, 
	WCHAR * pszUpStreamPinName, WCHAR * pszDownStreamPinName);
//
// connect an output pin with a filter
//static HRESULT Connect(IGraphBuilder * m_oGraph,
//	IPin * pOutPin, IBaseFilter * pDownStreamFilter, WCHAR * pszDownStreamPinName);
//
// add a filter in the filtergraph
static void AddFilter(IGraphBuilder * m_oGraph,
	IBaseFilter * pSourceFilter, LPCWSTR pName);
//
// find a filter in the registry by name, load it and set its properties
static bool LoadFilter(IGraphBuilder * m_oGraph, 
	const GUID guid, const WCHAR * pszWFilterName, IBaseFilter ** pFilter);

//
// spy the caracteristics of the decoder filter
static void SetAudioMediaType(AM_MEDIA_TYPE * My);

//
// find a pin in a filter given the pin name
static HRESULT FindPin(IBaseFilter * pFilter, WCHAR * pszName, IPin ** ppPin, bool bInput);
//
// check the HRESULT value
static HRESULT CheckHr(HRESULT hr, LPCSTR lpText);
};

#endif // _FILTERUTIL_H_
