#define FFMPEG_CONFIGURATION "DrFFMPEG default"
#if defined(__GNUC__) || defined(__INTEL_COMPILER)
 #ifndef __INTEL_COMPILER
  #define ARCH_X86 1
 #endif
 #define HAVE_BUILTIN_VECTOR 1
#endif
#define HAVE_MMX 1
#define __CPU__ 586

// use libavdsp for debugging (not used in the MinGW build)
// comment the following line in case you don't want to use libavdsp
//#define HAVE_LIBAVDSP 1

#ifdef HAVE_LIBAVDSP
# ifdef IS_LIBAVDSP
#  define HAVE_LIBAVDSP_EXTERN __declspec(dllexport)
# else
#  define HAVE_LIBAVDSP_EXTERN extern __declspec(dllimport)
# endif
#else
# define HAVE_LIBAVDSP_EXTERN extern
#endif
#undef HAVE_LRINTF
#ifndef DECODERS_ONLY
 #define CONFIG_ENCODERS 1
#endif
#define CONFIG_DECODERS 1
#define CONFIG_MUXERS 1
#define CONFIG_DEMUXERS 1
#define CONFIG_ZLIB 1
#define CONFIG_MP3LAME 1
/* DivX enabled */
#define CONFIG_DIVX 1
#define CONFIG_XSUB 1
#define CONFIG_DSHOW 1
#define CONFIG_DSHOW_AAC 1
#define CONFIG_DSHOW_AC3 1
#define CONFIG_DSHOW_DTS 1
#define CONFIG_DSHOW_REALVIDEO 1
#define CONFIG_DSHOW_CAPTURE 1
#define CONFIG_DMO_WMV 1

#define CONFIG_WIN32 1
#define HAVE_W32THREADS 1
#define HAVE_THREADS 1
#define HAVE_MALLOC_H 1
#undef  HAVE_MEMALIGN
#undef  MEMALIGN_HACK
#define RUNTIME_CPUDETECT 1
#define SIMPLE_IDCT 1
#define CONFIG_PROTOCOLS 1
#define restrict
#define HAVE_ASSERT_BITS
#define CONFIG_OGGTHEORA_DECODER 1
#define CONFIG_AC3_DSHOW_DECODER 1
#define CONFIG_AAC_DSHOW_DECODER 1
#define CONFIG_DTS_DSHOW_DECODER 1
#define CONFIG_RV40_DSHOW_DECODER 1
#define CONFIG_RV30_DSHOW_DECODER 1
#define CONFIG_H263_DECODER 1
#define CONFIG_H261_DECODER 1
#define CONFIG_MPEG4_DECODER 1
#define CONFIG_MSMPEG4V1_DECODER 1
#define CONFIG_MSMPEG4V2_DECODER 1
#define CONFIG_MSMPEG4V3_DECODER 1
#define CONFIG_WMV1_DMO_DECODER 1
#define CONFIG_WMV2_DMO_DECODER 1
#define CONFIG_WMV3_DMO_DECODER 1
#define CONFIG_WMV1_DECODER 1
#define CONFIG_WMV2_DECODER 1
#define CONFIG_VC9_DECODER 1
#define CONFIG_WMV3_DECODER 1
#define CONFIG_H263I_DECODER 1
#define CONFIG_FLV_DECODER 1
#define CONFIG_RV10_DECODER 1
#define CONFIG_RV20_DECODER 1
#define CONFIG_SVQ1_DECODER 1
#define CONFIG_SVQ3_DECODER 1
#define CONFIG_WMAV1_DECODER 1
#define CONFIG_WMAV2_DECODER 1
#define CONFIG_INDEO2_DECODER 1
#define CONFIG_INDEO3_DECODER 1
#define CONFIG_TSCC_DECODER 1
#define CONFIG_ULTI_DECODER 1
#define CONFIG_QDRAW_DECODER 1
#define CONFIG_XL_DECODER 1
#define CONFIG_QPEG_DECODER 1
#define CONFIG_LOCO_DECODER 1
#define CONFIG_WNV1_DECODER 1
#define CONFIG_AASC_DECODER 1
#define CONFIG_FRAPS_DECODER 1
#define CONFIG_MPEG1VIDEO_DECODER 1
#define CONFIG_MPEG2VIDEO_DECODER 1
#define CONFIG_MPEGVIDEO_DECODER 1
#define CONFIG_MPEG_XVMC_DECODER 1
#define CONFIG_DVVIDEO_DECODER 1
#define CONFIG_MJPEG_DECODER 1
#define CONFIG_MJPEGB_DECODER 1
#define CONFIG_SP5X_DECODER 1
#define CONFIG_PNG_DECODER 1
#define CONFIG_COREPNG_DECODER 1
#define CONFIG_MP2_DECODER 1
#define CONFIG_MP3_DECODER 1
#define CONFIG_MP3ADU_DECODER 1
#define CONFIG_MP3ON4_DECODER 1
#define CONFIG_MACE3_DECODER 1
#define CONFIG_MACE6_DECODER 1
#define CONFIG_HUFFYUV_DECODER 1
#define CONFIG_FFVHUFF_DECODER 1
#define CONFIG_CYUV_DECODER 1
#define CONFIG_H264_DECODER 1
#define CONFIG_VP3_DECODER 1
#define CONFIG_THEORA_DECODER 1
#define CONFIG_ASV1_DECODER 1
#define CONFIG_ASV2_DECODER 1
#define CONFIG_VCR1_DECODER 1
#define CONFIG_CLJR_DECODER 1
#define CONFIG_FOURXM_DECODER 1
#define CONFIG_MDEC_DECODER 1
#define CONFIG_ROQ_DECODER 1
#define CONFIG_INTERPLAY_VIDEO_DECODER 1
#define CONFIG_XAN_WC3_DECODER 1
#define CONFIG_RPZA_DECODER 1
#define CONFIG_CINEPAK_DECODER 1
#define CONFIG_MSRLE_DECODER 1
#define CONFIG_MSVIDEO1_DECODER 1
#define CONFIG_VQA_DECODER 1
#define CONFIG_IDCIN_DECODER 1
#define CONFIG_EIGHTBPS_DECODER 1
#define CONFIG_SMC_DECODER 1
#define CONFIG_FLIC_DECODER 1
#define CONFIG_TRUEMOTION1_DECODER 1
#define CONFIG_TRUEMOTION2_DECODER 1
#define CONFIG_VMDVIDEO_DECODER 1
#define CONFIG_VMDAUDIO_DECODER 1
#define CONFIG_MSZH_DECODER 1
#define CONFIG_ZLIB_DECODER 1
#define CONFIG_ZMBV_DECODER 1
#define CONFIG_SMACKER_DECODER 1
#define CONFIG_SMACKAUD_DECODER 1
#define CONFIG_SONIC_DECODER 1
#define CONFIG_DTS_DECODER 1
#define CONFIG_RA_144_DECODER 1
#define CONFIG_RA_288_DECODER 1
#define CONFIG_ROQ_DPCM_DECODER 1
#define CONFIG_INTERPLAY_DPCM_DECODER 1
#define CONFIG_XAN_DPCM_DECODER 1
#define CONFIG_SOL_DPCM_DECODER 1
#define CONFIG_QTRLE_DECODER 1
#define CONFIG_FLAC_DECODER 1
#define CONFIG_SHORTEN_DECODER 1
#define CONFIG_ALAC_DECODER 1
#define CONFIG_WS_SND1_DECODER 1
#define CONFIG_VORBIS_DECODER 1
#define CONFIG_LIBGSM_DECODER 1
#define CONFIG_QDM2_DECODER 1
#define CONFIG_COOK_DECODER 1
#define CONFIG_TRUESPEECH_DECODER 1
#define CONFIG_TTA_DECODER 1
#define CONFIG_AVS_DECODER 1
#define CONFIG_RAWVIDEO_DECODER 1
#define CONFIG_FLASHSV_DECODER 1
#define CONFIG_BMP_DECODER 1
#define CONFIG_MMVIDEO_DECODER 1
#define CONFIG_DVDSUB_DECODER 1
#define CONFIG_DVBSUB_DECODER 1
#define CONFIG_XSUB_ENCODER 1
#define CONFIG_DIVX_ENCODER 1
#define CONFIG_MP3LAME_ENCODER 1

#ifndef __GNUC__
 #ifndef __attribute__
  #define __attribute__(x) /**/
 #endif
 #define EMULATE_FAST_INT
#endif
